POTOOL(1)

NAZWA
potool - program do manipulowania plikami po gettext

SKŁADNIA
potool PLIK1 [ PLIK2 ] [-f f|nf|t|nt|nth|o|no] [-n ctxt|id|str|cmt|ucmt|pcmt|scmt|dcmt|tr|linf]... [-s] [-c]

potool -h

OPIS
potool pracuje w jednym z dwóch (na razie) trybów. W pierwszym wymaga podania jednej nazwy pliku i działa wówczas jak filtr. W drugim - powoduje zastąpienie tłumaczeń w pliku PLIK1 tłumaczeniami z pliku PLIK2 (zatem pierwszy plik jest plikiem bazowym, zaś drugi - naszym roboczym).

OPCJE

-f filtr
    opisuje filtr, który określa, jakie wpisy w pliku .po powinny być zachowane (jest to filtr działający przy odczycie pliku). W drugim trybie pracy filtr uwzględniany jest tylko dla pliku PLIK2 (roboczego). Istniejące filtry:
    t - wpisy przetłumaczone,
    nt - wpisy nie przetłumaczone,
    nth - wpisy nie przetłumaczone i nagłówek,
    f - wpisy 'fuzzy',
    nf - wpisy bez oznaczenia fuzzy,
    o - wpisy nieużywane (oznaczone przedrostkiem "#~ ")
    no - wpisy używane
    Filtry można na siebie nakładać, używając kilku opcji -f.

-n filtr
    działa w obu trybach pracy tak samo i określa, jakie informacje w każdym z wpisów nie powinny być wyświetlane przy wypisywaniu ich przez program. Dozwolona jest dowolna liczba opcji -n. Dopuszczalne parametry:
    ctxt - nie wypisuj części 'ctxt'
    id - nie wypisuj części 'id'
    str - nie wypisuj części 'str'
    tr - nie wypisuj tłumaczeń (lecz pustą część 'str')
    ucmt - nie wypisuj komentarzy użytkownika
    pcmt - nie wypisuj komentarzy określających położenie w plikach
    scmt - nie wypisuj komentarzy specjalnych ('#, fuzzy, c-format, ...')
    dcmt - nie wyświetlaj komentarzy zarezerwowanych (głównie rozpoczynających się kropką - '#. ...'
    cmt - nie wyświetlaj żadnych komentarzy (połączenie ucmt, pcmt, scmt, dcmt)
    linf - usuwaj informację o numerach linii w komentarzach określających położenie w plikach.

    Ostatni parametr powoduje zamianę numerów linii na '1'. Jest to przydatne w przypadku porównywania dwóch plików po lub pot przy pomocy diff(1), gdyż w zazwyczaj jego wyjście jest zaciemnione wieloma informacjami o mało interesujących zmianach numerów linii.

-s  powoduje wypisanie tylko liczby wpisów zamiast ich treści

-c  kopiuje we wszystkich wpisach część 'id' do 'str' (być może zastępując tłumaczenie)

-h  wyświetla krótką informację na temat użycia.

PRZYKŁADY

potool x.po -s -ft
    wyświetla liczbę przetłumaczonych wpisów. Patrz także postats(1).

potool x.po -nstr
    oczyszcza plik z tłumaczeń - a więc możemy zaczynać od zera ;)

potool x.po -ft && potool x.po -fnt
    wyświetla z pliku najpierw wpisy przetłumaczone, a następnie nie posiadające tłumaczenia (ze względu na pierwszy wpis nie zaleca się stosowania odwrotnej kolejności). Plik taki zawiera wszystkie informacje z x.po, natomiast braki w tłumaczeniach są skupione w jednym miejscu.

potool x.po -fnt > tmp.po && editor tmp.po && potool x.po tmp.po
    pozwala na proste dodawanie nowych tłumaczeń, bez przeglądania starych.

Ostatnie dwa przykłady są zaimplementowane jako program potooledit(1).

BŁĘDY
Ten program zawija po swojemu wszystkie linie na wyjściu.

ZOBACZ TAKŻE
potooledit(1), postats(1), msgmerge(1), msgfmt(1).

AUTOR
Potool został napisany przez Zbigniewa Chylę, a obecnie jego opiekunem jest Marcin Owsiany <porridge@debian.org>.